[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TCustomConnection.OnLogin

Event triggered when a login prompt is shown.

## Declaration

Source position: db.pas line 2043

`published property TCustomConnection.OnLogin : TLoginEvent read FOnLogin write FOnLogin;`

## Description

OnLogin is triggered when the connection needs a login prompt during the call: it is triggered when the LoginPrompt property is True, after the TCustomConnection.BeforeConnect event, but before the connection is actually established.

## See also

TCustomConnection.BeforeConnect |  | Event triggered before a connection is made.
TCustomConnection.LoginPrompt |  | Should the OnLogin be triggered
TCustomConnection.Open |  | Makes the connection to the server